Subject: Re: [PATCH] net: dsa: mv88e6060: Fix false positive lockdep splat

From: Andrew Lunn <[email-masked]>
Date: Thu, 22 Oct 2015 14:06:07 +0200

> Well, mdio-mux also calls switch_fn inside the mdio_lock, clean refactoring
> would introduce a separate lock and call the nested variants.
> Is that ok ? Can someone test mdio-mux if I make the change ?

Hi Neil

I would not touch mdio-mux. As you said, it does more than lock, read,
unlock. It is not something sufficiently generic to place into shared
code.

	Andrew